package com.njyunzhi.ubpa.mapper;

import com.njyunzhi.ubpa.entity.TaResumeWorkForm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.ubpa.vo.FormExport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 复工申请 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Mapper
public interface TaResumeWorkFormMapper extends BaseMapper<TaResumeWorkForm> {

    List<FormExport> formExport(@Param("orgId") String orgId,
                                @Param("userName") String userName,
                                @Param("startDate") LocalDateTime startDate,
                                @Param("endDate") LocalDateTime endDate,
                                @Param("status") int status);
}
