package com.njyunzhi.ubpa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njyunzhi.ubpa.common.Constants;
import com.njyunzhi.ubpa.entity.SysUser;
import com.njyunzhi.ubpa.mapper.SysUserMapper;
import com.njyunzhi.ubpa.service.ISysUserService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Service
public class SysUserServiceImpl extends BaseServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public SysUser getByLoginId(String loginId) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("login_name", loginId);
        queryWrapper.gt("status", Constants.STATUS_DELETE);

        return getOne(queryWrapper);
    }
}
