package com.njyunzhi.ubpa.service.impl;

import com.njyunzhi.ubpa.entity.TaResumeWorkForm;
import com.njyunzhi.ubpa.mapper.TaResumeWorkFormMapper;
import com.njyunzhi.ubpa.service.ITaResumeWorkFormService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.ubpa.vo.FormExport;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 复工申请 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Service
public class TaResumeWorkFormServiceImpl extends ServiceImpl<TaResumeWorkFormMapper, TaResumeWorkForm> implements ITaResumeWorkFormService {

    @Override
    public List<FormExport> formExport(String orgId, String userName, LocalDateTime startDate, LocalDateTime endDate, int status) {
        return baseMapper.formExport(orgId, userName, startDate, endDate, status);
    }
}
